module.exports = {
  extends: ['alloy', 'alloy/vue'],
  root: true,
  env: {
    // 你的环境变量（包含多个预定义的全局变量）
    browser: true,
    node: true,
    // mocha: true,
    // jest: true,
    // jquery: true
  },
  globals: {
    // 你的全局变量（设置为 false 表示它不允许被重新赋值）
    wx: true,
  },
  rules: {
    // 自定义你的规则
    'no-console': 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'no-invalid-this': 'off',
    'vue/component-tags-order': [
      'error',
      {
        order: [['template', 'script'], 'style'],
      },
    ],
  },
}
