import Vue from 'vue'
import Vuex from 'vuex'

import { setLocalforage, getLocalforage } from '@/utils'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    userInfo: getLocalforage('userInfo', {}),
    platform: 'PC', // PC, WEIXIN, H5
  },
  mutations: {
    login(state, data) {
      // state.userInfo = data
      // setLocalforage('userInfo', data)
    },
    logout(state, data) {
      // state.userInfo = {}
      // setLocalforage('userInfo', {})
    },
    setPid(state, payload) {
      state.pid = payload
      setLocalforage('pid', payload)
    },
    setPlatform(state, payload) {
      state.platform = payload
    },
    saveUserInfo(state, n) {
      state.userInfo = n
    },
  },
  actions: {},
})
